import type { CollectionSlug, Config } from 'payload';
export type NavigationPluginConfig = {
    /**
     * Collections that can be referenced in navigation items
     */
    collections?: Partial<Record<CollectionSlug, true>>;
    /**
     * Disable the plugin but keep collections for database consistency
     */
    disabled?: boolean;
    /**
     * Configuration for localization features
     */
    localization?: {
        /**
         * Whether to enable locale-specific visibility
         */
        localeVisibility?: boolean;
    };
};
export declare const navigationPlugin: (pluginOptions?: NavigationPluginConfig) => (config: Config) => Config;
export * from './types/index.js';
