import type { BreadcrumbItem, FlatNavigationItem, NavigationContainer, NavigationFormat, NavigationItem, TreeNavigationItem } from '../types/index.js';
/**
 * Builds a tree structure of navigation items
 */
export declare const buildNavigationTree: (container: NavigationContainer, items: NavigationItem[], depth?: number) => TreeNavigationItem[];
/**
 * Builds a flat list of navigation items with level and path information
 */
export declare const buildFlatNavigation: (container: NavigationContainer, items: NavigationItem[]) => FlatNavigationItem[];
/**
 * Builds a breadcrumb trail to a specific item
 */
export declare const buildBreadcrumbs: (items: NavigationItem[], currentItemId?: string) => BreadcrumbItem[];
/**
 * Format navigation data based on specified format
 */
export declare const formatNavigation: (container: NavigationContainer, items: NavigationItem[], format?: NavigationFormat, currentItemId?: string) => TreeNavigationItem[] | FlatNavigationItem[] | BreadcrumbItem[];
/**
 * Filter items by locale visibility
 */
export declare const filterItemsByLocale: (items: NavigationItem[], locale?: string, includeHidden?: boolean) => NavigationItem[];
